%define module_version 0.02
%define module_name App-Image-Generator
# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/pod2pdf.pm) perl(CPAN.pm) perl(English.pm) perl(Error/Pure.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(Getopt/Std.pm) perl(Image/Random.pm) perl(Image/Select.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Readonly.pm) perl(Test/More.pm) perl(Test/NoWarnings.pm) perl(YAML/Tiny.pm) perl(File/Find/Rule/MMagic.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: Script to generate image.
Group: Development/Perl
License: bsd
URL: https://github.com/tupinek/App-Image-Generator

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SK/SKIM/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
use App::Image::Generator;
 my $obj = App::Image::Generator->new;
 $obj->run;

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name


%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes examples
%perl_vendor_privlib/A*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
* Thu Apr 07 2016 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- regenerated from template by package builder

* Mon Nov 16 2015 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

